### **一、功能概述**

 - **订单业务**：CRM订单管理系统可以实现订单的自动创建、处理、跟踪和关闭，整合销售、供应链和客户支持等业务流程。同时，也能通过分析订单的历史数据，总结出订单的特点和规律，帮助企业更好地制定销售策略和优惠政策。
 - **出库业务**：CRM系统通过库存管理功能，可以实时掌握库存情况，当订单被确认后，系统会自动进行库存扣减，并生成出库单。出库单会详细列出需要出库的产品、数量、批次等信息，以便仓库人员按照出库单进行拣货和发货，打通物流与库存的边界，形成业务流通。
 - **退货业务**：当客户需要退货时，可以通过CRM系统提交退货申请。系统会自动审核退货申请，并生成退货单。退货单会详细列出退货的产品、数量、原因等信息。仓库人员收到退货后，会进行验收并更新库存信息。
 - **退换货业务**：退换货业务是退货业务和出库业务的结合。当客户需要退换货时，可以先通过CRM系统提交退货申请并完成退货流程。然后，客户可以重新下单购买需要的产品，CRM系统会再次进行出库流程，将新的产品发送给客户。

### **二、术语与定义**

 - **合同下推订单**：在供应链或企业中，根据已签订的合同，自动生成或手动创建相应的订单的过程。通常，合同规定了双方之间的交易条款和条件，如购买数量、价格、交付日期等。一旦合同被双方接受并签订，企业可能会根据合同内容生成一个或多个订单，以明确具体的交易细节并确保双方按约定执行。
 
### **三、业务流程**
 - ****同签订→销售人员创建订单确认订单信息→订单审核→订单确认→订单生产或采购→订单出库→客户收到货物并确认收货→订单完成
 
 - **单业务**：出库业务**：销售人员或客户在系统中创建出库单→仓库人员根据出库单进行拣货、打包→出库单审核→出库单确认→货物出库→客户收到货物并确认收货→出库完成
 
 -  **退货业务**：销售人员或客户在系统中创建出库单→仓库人员根据出库单进行拣货、打包→出库单审核→出库单确认→货物出库→客户收到货物并确认收货→出库完成
 
 -  **退换货业务**：销售人员或客户在系统中提交退换货申请→销售人员确认退换货申请→退换货审核→客户退回货物→仓库人员接收并检查货物→换货确认→发出换货货物创建出库单→仓库人员根据出库单进行拣货、打包→出库单审核→出库单确认→货物出库→客户收到换货货物并确认收货→退换货出库完成

### 三、核心服务说明
<table class="relative-table wrapped confluenceTable" style="width: 4%;" resolved="">
	<colgroup>
		<col style="width: .4%;">
		<col style="width: .4%;">
		<col style="width: 8.25615%;">
		<col style="width: .1%;">
		<col style="width: 1%;">
	</colgroup>
	<tbody>
		<tr>
			<th class="confluenceTh">
				<span style="color: rgb(0,51,102);">类名</span>
			</th>
			<th class="confluenceTh">
				<span style="color: rgb(0,51,102);">类说明</span>
			</th>
			<th class="confluenceTh">
				<span style="color: rgb(0,51,102);">请求类型</span>
			</th>
			<th class="confluenceTh">
				<span style="color: rgb(0,51,102);">请求地址</span>
			</th>
			<th colspan="1" class="confluenceTh">
				<span style="color: rgb(0,51,102);">接口说明</span>
			</th>
		</tr>
		<t>
			<td rowspan="62" class="confluenceTd"><p>
					<span style="color: rgb(,12);">OrderErpRest</span>
				</p>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
			>
			</td>
			<td rowspan="62" class="confluenceTd">
				<span style="color: rgb(0,,02)/span>
				<br>
				<p>
					<br>
				</p	<br>
				<br>
			</td>
			<td class="confluenceTd">
				<span style="color: rgb(0,102>POST</span>
			</td>
			<td class="confluenceTd"><p>
					<span style="color: rgb(0,,102);">/api/ordererp/getin/</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,,102);">查/span>
				</p>
			</td>
		</tr>
		<t>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,102>POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,,102);">/api/ordererp/getin/</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,,02);"</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(52);">POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,1,);">api/ordererp/getlistneie</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,);">订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(50,1020,102>POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(502e/api/ordererp/getlistne,);">/i/w/mydept</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,102</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(5POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,1,);">api/ordererp/getlistnen</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0单列,);">订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(,02>PST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,02);">/api/ordererp/getlistneeleei</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0单列,);">,,02查询所有</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(,0,2);">ST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,02);">/api/ordererp/getlistnest</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb();">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getli</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(02);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,5,02);pi/ordererp/getli</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,5,02);数据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(,10);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,;">/api/ordererp/getlist/share</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,5,02);</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,;">POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getlist/m,);">/i/ydept</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0订单,);">idn订单据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb();">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,,51,102);">/api/ordererp/getlist/m</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,,02单列表数据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(1,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,02);">/api/ordererp/getlist/selere</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,),">的订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,)">的订单</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,,02/api/ordererp/homeorderol</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,,02页指标信息</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,,02>POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,02);">/api/ordererp/advance</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,2款余</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd"><p>
					<span style="color: rgb(0,span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/listAdvance</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,2存款余</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,,02>GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd"><p>
					<span style="color: rgb(0,51,102);">/api/orderer</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,);">信息</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,,02>GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getorderi/d,51,10,51,10);">订单nfo/{id}</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<>
					<span style="color: rgb(0,span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,>GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,2>/api/ordererp/getbyordercode</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,102);">根据订单编号code查询订单信息</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,>GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/orderer</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span102);">根据订单id查询订单信息</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,2>POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(,;">/api/ordererp/save</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,,);">/aende,02</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(,;">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<span/api/ordererp/save4Moe</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<>
					<span style="color: rgb(0,,02机端）</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<spanc/aporrgb style="color: rgb(0,/api/ordererp/deletebyid</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<></p>
					<span sty102);">根据id删除订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd"<p>
				<span l="col"><pstyle="color: rgb(0,51,1>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span/api/ordererp/getadvancelist</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<olor: rgb(0,询该客户所有预付款余额大于0的预付款订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<olor: rgb(02,>POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,102);">/api/ordererp/checklowerrceo</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd"<p>
				<span style="color: rgb(0,,02需要低的商品</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0">POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span sty102);">/api/ordererp/checkloweoerrceo</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,,02需要低),>订单商品</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,1>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span 02);">/api/ordererp/closeorder</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,102根据订单编号订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0O>POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,102);">/api/ordererp/modifydetail</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,);">修改订细</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,OST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">/api/ordererp/createspecialorder</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">创建特殊订单（-G、-C）订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,/ordererp/saveandcheck</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(,12);">新增对象并发起低价审批</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,OST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,,02/api/ordererp/lowerFlowit</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,,02批流程</span>
				</p>
			</td>
		<t/tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,102OST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,,02/api/ordererp/dealOrderea</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,,02批的订单详情信息</span>
				</p>
			</td>
		<>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,/ordererp/returnofclose</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,);">退货关单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(,12);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,,02rdererp/getstock</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,,02获取当前明细的库存</span>
				</p>
			</td>
		<>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,102>GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,rdererp/judgedownstre</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,,02);"根据订</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(,0,51,10span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,,02ntn51,102);">/api/ordererp/getprogressyid/d}</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,,0span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,></span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,dererp/update</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,);"></span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(1;>GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,,0251,102);">/api/ordererp/getadvanceoi</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0询预,);">库细</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(1;>/api/ordererp/getalldetadd</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据订单code集合查询所有的订单明</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,,02></span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,dererp/checkordest</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(,51否足够</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/modifySale</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,5,02);销售</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,5,GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,5,02);pi/ordererp/initInvorderrtaount</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,,02货</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,,02POST0,51,10);">单</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/modifyOrde0,51,10);">库</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(,5102</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102)>/api/ordererp/initOrde</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,102);"</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(,0,5,OST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span s="col102);">/api/ordererp/checkBatchLock</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span s="col102);">校验是否存在批次锁定客户的订单明细在ERP的待发库里存在库存</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0"><p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span 102)>/api/ordererp/initActMoney</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span 102);">运维工具计算实际出库金额</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0"><p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span l="colstyle="color: rgb(0,51,102);">/api/ordererp/getOrderE,);">/tpre</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,,02取订单编码列表</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0"><p>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span l="colstyle="color: rgb(0,51,102);">/api/ordererp/getorderprs</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,,02id查询订单进展</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0"><p>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/get4Mobil,);">/tbe/</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span 102);">根据单</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/sendlessmsg</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">检查订单明细是否缺货并通知POM</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,2>POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span 102);">/api/ordererp/getFullaclitys/</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,,02全线订单列表</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,02>GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102/ordererp/isInvoice</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,02);">是否开票</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,10202>POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102/ordererp/sapAdd</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">对接sap新增订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/sapUpdate</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">对接sap更新订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,2>POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/sapDelete</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,,02对接sap删订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,102);">POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,,02/api/ordererp/sapClose</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">对接sap关闭订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,102);">POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/findOrderoucode</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,102);"码查询订单信息</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/check</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,,02含需要</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/initProdute</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,,02品类型</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/listAssert/{instrumentCode}</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,102);"单编码获取其下的所有资产订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/priiee</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">预览订单invoice</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/downloadIliee</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,1);">0,51,102);">下载订单invoice</span>
				</p>
			</td>
		</tr>
		<tr>
			<td rowspan="31" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">StockoutRest</span>
				</p>
			</td>
			<td rowspan="31" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">出库单</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/stockout/pushDataToPom/{outCode}</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">推送出库单至POM系统</span>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/pushLessMsgToPom</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">推送出库单消息至POM系统</span>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/deleteout/{id}</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">出库单删除</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/addprint</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">增加出库打印次数</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">/outregret</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">办事处出库单反审核</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/crmUnAudit</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">出库单反审核回调</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/retryOutregret</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">出库单反审核重试</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">/get/{id}</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据id查询出库单信息</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/getstockoutbycode</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据出库单code查询出库单信息</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">/getdetailinfo/{id}</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据id查看出库详情</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/save</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">保存出库单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/getbyoutcodelist</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据出库单编号集合查询出库信息（批量打印）</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/getdefaultstore</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">获取明细仓库的默认值</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/getrealstock</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">获取某个产品的即时库存</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/listbyparamsnew</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">查询出库单列表所有数据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/listbyparamsnew/my</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">查询我的出库单列表数据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/listbyparamsnew/share</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">共享出库单列表</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/listbyparamsnew/mydept</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">我负责部门出库单列表</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/listbyparamsnew/overseas</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">海外出库单列表</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/edit</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">编辑出库单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/getstoreaddress</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">获取仓库地址</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">/outregretformanage</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">出库单办事处反审核(提供运维人员操作)</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/updateBatchPrinttimes</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">批量更新出库单打印次数</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/deleteout4maintain</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">删除出库单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/editout4maintain</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">运维管理编辑出库单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/synStockoutteam/{stockoutcode}</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据出库单重新同步ERP订单相关数据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/findListByOrdercode/{ordercode}</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据订单code查询订单进展出库信息</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/getByOutcode/{outcode}</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据出库单编码查询出库信息</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/seleOutdate4Code/{outcode}</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据出库单编码查询出库信息</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/updateClientname4orgnamechange</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">更新客户名称</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/updateClientname</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">更新客户名称</span>
				</p>
			</td>
		</tr>
	</tbody>
</table>

 1.保存订单核心逻辑
 ![保存订单输入图片说明](/imgs/2024-02-26/MgjDbMxT80rCcooo.png)


### 、数据库设计
![输入图片说明](/imgs/2024-02-26/zEMchSXOG3lTAz26.jpeg)
### 四、代码运行截图
![输入图片说明](/imgs/2024-02-26/S9LSKlxBUTuARe05.png)
<!--stackedit_data:
eyJoaXN0b3J5IjpbLTk2NzIzODg2MywtMTk3MTI4NjYzNSwtMT
A3ODA2NTg3MCw2MjIwNDI5OTksLTExNDA1ODExOTQsMTA3NTcx
MDQwNCwtMTcyNjU5NjA3NywtOTg5ODI4ODIyLDcxODM1MzA3Mi
wtNjMxOTg1NTE0LC04MTQ0OTI4MjIsMTkwOTI0NTc5LDIxMjYw
NjU2MjksMjA2MzY4OTU5MiwtNzc0MDY5NTg1LC0xODg2NDYyMD
A0LC0xMDA2NTA1MTIyLC0xODUzMzY2Njc1LDcwMjYyNTY3Niw2
NTExOTEyOTBdfQ==
-->